Subject: bug#26044: coreutils-8.27 fails to build

From: J Rogowsky <[email-masked]>
Date: Thu, 9 Mar 2017 23:08:58 -0700

coreutils-8.27  fails to build.

function renameat, found in src/force-link.c, is not found on my  
system, which is an iBook G4 running OSX 10.5.8.
Therefore the link step fails, citing the linker cannot find _renameat.

I see there is a similar function in lib/at-func2.c which could be  
used, but I chose to solve this problem in the simplest way possible  
by defining renameat in src/force-link.c like so:

diff src/force-link.c src/force-link.c.OEM
86,93d85
< /* see: https://www.freebsd.org/cgi/man.cgi?query=rename&sektion=2  */
< static int
< renameat(int fromfd,const char *from,int tofd,const char *to)
< {
< 	return rename(from,to);
< }
<
<

Perhaps there is a better solution?
Such as using at_func2 in src/force-link.c  like so:

static int
renameat(int fromfd,const char *from,int tofd,const char *to)
{
	return at_func2(fromfd,from,tofd,to,rename);
}

????????????????

BTW, I had only one test FAIL in "make check":  tests/misc/sort-debug- 
keys
Is this related to the above?

If you would like further assistance on this matter, just let me know  
how I could help.

Thanks,
J Rogowsky